C1DInterpolatorFactory Class Reference
Interpolation

Factory class for 1D interpolators. More...

`#include <mia/core/interpolator1d.hh>`

## Public Member Functions

| C1DInterpolatorFactory (const C1DInterpolatorFactory &o)
| Copy constructor.
| C1DInterpolatorFactory (const std::string &kernel_descr, const std::string &boundary_descr)
| C1DInterpolatorFactory (PSplineKernel kernel, const CSplineBoundaryCondition &bc)
template<class T>
T1DInterpolator< T > * | create (const std::vector< T > &src) const __attribute__((warn_unused_result))
PSplineKernel | get_kernel () const
C1DInterpolatorFactory & | operator= (const C1DInterpolatorFactory &o)
| assignment operator
virtual | ~C1DInterpolatorFactory ()

## Detailed Description

Factory class for 1D interpolators.

Factory to create 1D interpolators of a give data type using the given input data.

Definition at line 163 of file interpolator1d.hh.

## Constructor & Destructor Documentation

## C1DInterpolatorFactory() [1/3]

C1DInterpolatorFactory::C1DInterpolatorFactory | ( | PSplineKernel | kernel,
|  | const CSplineBoundaryCondition & | bc )

Initialize the factory according B-Spline kernel and a boundary condition

Parameters

  kernel |
  bc |

Referenced by C1DInterpolatorFactory(), and operator=().

## C1DInterpolatorFactory() [2/3]

C1DInterpolatorFactory::C1DInterpolatorFactory | ( | const std::string & | kernel_descr,
|  | const std::string & | boundary_descr )

## C1DInterpolatorFactory() [3/3]

C1DInterpolatorFactory::C1DInterpolatorFactory | ( | const C1DInterpolatorFactory & | o | ) |

Copy constructor.

References C1DInterpolatorFactory().

## ~C1DInterpolatorFactory()

virtual C1DInterpolatorFactory::~C1DInterpolatorFactory | ( |  | ) |

virtual

References create().

## Member Function Documentation

## create()

template<class T>

T1DInterpolator< T > * C1DInterpolatorFactory::create | ( | const std::vector< T > & | src | ) | const

Create a 1D interpolator from a set of sampes that returns the same values as the original at grid points

Template Parameters

  data | type to be interpolated

Parameters

  src | input data

Returns
  the interpolator

Create an interpolation factory from a type by also allocating the B-spline kernel if neccessary.

Todo
  this should become the work of a plug-in handler

Definition at line 216 of file interpolator1d.hh.

Referenced by ~C1DInterpolatorFactory().

## get_kernel()

PSplineKernel C1DInterpolatorFactory::get_kernel | ( |  | ) | const

Returns
  the B-spline kernel

## operator=()

C1DInterpolatorFactory & C1DInterpolatorFactory::operator= | ( | const C1DInterpolatorFactory & | o | ) |

assignment operator

References C1DInterpolatorFactory().

The documentation for this class was generated from the following file:

- interpolator1d.hh